@font-face {
  font-family: dmsans;
  src: url();
}

@font-face {
  font-family: boldf;
  src: url(./Fonts/suisseintl-bold.ttf);
}

@font-face {
  font-family: lightf;
  src: url(./Fonts/suisseintl-light.ttf);
}

@font-face {
  font-family: mediumf;
  src: url(./Fonts/suisseintl-medium.ttf);
}

@font-face {
  font-family: regularf;
  src: url(./Fonts/suisseintl-regular.ttf);
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html,
body {
  width: 100%;
  height: 100%;
  font-family: regularf;
}


.minicircle {
  position: fixed;
  left: 0;
  top: 0;
  width: 20px;
  height: 20px;
  background-color: #000;
  border-radius: 50%;
  pointer-events: none;
  transform: translate(-50%, -50%) scale(1);
  /* mix-blend-mode: difference; */
  transition: transform 0.1s ease;
  z-index: 9999;
}

.fix-video {
  display: flex;
  justify-content: center;
  align-items: center;
  /* gap: 6vw; */
  position: fixed;
  left: 92%;
  top: 85%;
  z-index: 9999;
}

.video-wrapper {
  position: relative;
  width: 5.5vw;
  height: 5.5vw;
  /* padding: 2vw; */
}

.video-wrapper video {
  width: 100%;
  height: 100%;
  border-radius: 50%; /* circle video */
  object-fit: cover; /* crop nicely */
}

.circle-text {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 140%;
  height: 140%;
  /* font-size: 2vw; */
  /* height: 1vw; */
  color: #888;
  transform: translate(-50%, -50%);
  pointer-events: none; /* click block na kare */
  /* mix-blend-mode: difference; */
}



#main {
  width: 100%;
}

nav {
  width: 100%;
  padding: 2.6vh 14.3vw;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: fixed;
  top: 0;
  background-color: #fffffff7;
  z-index: 100;
}

.nav-left {
  width: fit-content;
  overflow: hidden;
}

.nav-left svg {
  height: 1.27vw;
  min-height: 20px;
  opacity: 1;
  transform: translateY(100%);
}

.nav-right {
  display: flex;
  gap: 2.3vw;
}

.nav-right-elem {
  overflow: hidden;
  position: relative;
  cursor: pointer;
  width: fit-content;
}

.nav-right-elem a {
  transform: translateY(120%);
  position: relative;
  display: inline-block;
  height: 1.3vw;
  overflow: hidden;
  text-decoration: none;
  font-size: 1vw;
  line-height: 1;
  font-weight: 500;
  cursor: pointer;
  color: #000;
}

.nav-right-elem a .text {
  display: block;
  transition: transform 0.3s linear;
}

.nav-right-elem a .text:first-child {
  transform: translateY(0);
}

.nav-right-elem a .text:last-child {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
}

.nav-right-elem a:hover .text:first-child {
  transform: translateY(-100%);
}

.nav-right-elem a:hover .text:last-child {
  transform: translateY(-100%);
}

#section1 {
  width: 100%;
  min-height: 100vh;
  /* background-color: red; */
  /* color: #000; */
}

.sec1-top {
  width: 100%;
  height: 42vh;
  /* background-color: white; */
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
}

.sec1-heading h1 {
  font-size: 4.5vw;
  transform: translateY(100%);
}

.sec1-heading {
  width: fit-content;
  /* background-color: yellow; */
  overflow: hidden;
  line-height: 1.1;
}

.sec1-top:nth-child(1) .sec1-heading {
  display: flex;
  gap: 1vw;
}

.sec1-bottom {
  width: 100%;
  height: 100vh;
  /* background-color: blue; */
  padding: 6vw 14.5vw;
}

.sec1-img {
  /* position: relative; */
  width: 100%;
  height: 100%;
  overflow: hidden;
  border-radius: 20px;
  /* transform: translate(none); */
  opacity: 0;
  scale: 0.6;
}

.sec1-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  scale: 1.2;
}

.sec1-paragraph {
  width: 100%;
  height: 40vh;
  /* background-color: red; */
  padding: 0 20vw;
  display: flex;
  /* align-items: center; */
  justify-content: space-between;
}

.h4-heading {
  width: fit-content;
  height: fit-content;
  overflow: hidden;
  /* background-color: yellowgreen; */
}

.h4-heading h4 {
  text-transform: uppercase;
  font-weight: 300;
  transform: translateY(100%);
  opacity: 0;
}

.sec1-para-content {
  width: 75%;
}

.sec1-para {
  width: fit-content;
  overflow: hidden;
  /* background-color: yellowgreen; */
}

.sec1-para p {
  transform: translateY(100%);
  font-size: 1.3vw;
  opacity: 0;
}

.sec1-image {
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding: 0 20vw;
}

.sec1-image-left {
  width: 45%;
  height: 55vh;
  border-radius: 20px;
  overflow: hidden;
}

.sec1-image-left img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  scale: 1.2;
}

.sec1-image-right {
  width: 45%;
  height: 65vh;
  border-radius: 20px;
  overflow: hidden;
  margin-top: 8vw;
}

.sec1-image-right img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  scale: 1.2;
}

#section2 {
  width: 100%;
  min-height: 100vh;
  /* background-color: greenyellow; */
}

.sec2-top {
  width: 100%;
  height: 50vh;
  /* background-color: rebeccapurple; */
  padding: 0 20vw;
  display: flex;
  flex-direction: column;
  /* align-items: center; */
  justify-content: flex-end;
}

.sec2-top-elem {
  display: flex;
  gap: 1vw;
  width: fit-content;
  overflow: hidden;
}

.sec2-top-elem h1 {
  transform: translateY(100%);
  opacity: 0;
  font-size: 5vw;
}

.sec2-elastic {
  width: 100%;
  padding: 0 18vw;
}

.sec2-elastic svg {
  width: 100%;
}

.sec2-elastic svg path {
  fill: none;
  stroke: #000;
  stroke-width: 2;
  /* filter: drop-shadow(0 0 16px #00f2ff); */
}

.sec2-bottom {
  width: 100%;
  height: 60vh;
  /* background-color: red; */
  padding: 0 20vw;
  display: flex;
  justify-content: space-between;
}

.sec2-bottom-left {
  width: 20%;
  height: 100%;
  /* background-color: burlywood; */
}

.sec2-bottom-left-elem{
  width: fit-content;
  overflow: hidden;
}

.sec2-bottom-left-elem h5 {
  font-size: 0.8vw;
  text-transform: uppercase;
  font-weight: 100;
  transform: translateY(100%);
  opacity: 0;
}

.sec2-bottom-right {
  width: 72%;
  height: 100%;
  /* background-color: rgb(173, 102, 9); */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.sec2-para{
  width: fit-content;
  overflow: hidden;
}

.sec2-para p {
  font-size: 1.3vw;
  transform: translateY(100%);
  opacity: 0;
}

.sec2-para-right-bottom {
  display: flex;
  gap: 3.5vw;
    width: fit-content;
  overflow: hidden;
  /* margin-top: 2vw; */
}

.sec2-para-right-bottom-elem{
transform: translateY(100%);
opacity: 0;
}

.sec2-para-right-bottom-elem h1 {
  font-size: 3.3vw;
  font-weight: 500;
}

.sec2-para-right-bottom-elem h5 {
  font-size: 0.8vw;
  font-weight: 300;
}

.sec2-bottom-img {
  width: 100%;
  height: 100vh;
  /* background-color: yellowgreen; */
  padding: 0vw 14.5vw;
  padding-top: 15vw;
}

.sec2-bottom-image {
  width: 100%;
  height: 100%;
  background-color: red;
  border-radius: 20px;
  overflow: hidden;
}

.sec2-bottom-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 20px;
  scale: 1.3;
}

#section3 {
  width: 100%;
  min-height: 100vh;
  /* background-color: yellow; */
}

.sec3-top {
  width: 100%;
  height: 60vh;
  /* background-color: rebeccapurple; */
  padding: 0 20vw;
  display: flex;
  flex-direction: column;
  /* align-items: center; */
  justify-content: flex-end;
}

.sec3-top-elem {
  display: flex;
  gap: 1vw;
  line-height: 1.1;
  width: fit-content;
  overflow: hidden;
}

.sec3-top-elem h1 {
  font-size: 5vw;
  transform: translateY(100%);
  opacity: 0;
}

.sec3-bottom {
  width: 100%;
  height: 30vh;
  /* background-color: red; */
  padding: 0 20vw;
  display: flex;
  justify-content: space-between;
}

.sec3-bottom-left {
  width: 20%;
  height: 100%;
  /* background-color: burlywood; */
}

.sec3-bottom-left-elem{
  width: fit-content;
  overflow: hidden;
}

.sec3-bottom-left-elem h5 {
  font-size: 0.8vw;
  text-transform: uppercase;
  font-weight: 100;
  transform: translateY(100%);
  opacity: 0;
}

.sec3-bottom-right {
  width: 72%;
  height: 100%;
  /* background-color: rgb(173, 102, 9); */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}


.sec3-para{
  width: fit-content;
  overflow: hidden;
}

.sec3-para p {
  font-size: 1.3vw;
transform: translateY(100%);
opacity: 0;
}

.sec3-para p a {
  color: #000;
  text-decoration: none;
  border-bottom: 1px solid #000;
  transition: all ease 0.3s;
}

.sec3-para p a:hover {
  border: none;
}

.sec3-bottom-video-container {
  width: 100%;
  height: 75vh;
  /* background-color: greenyellow; */
  padding: 0vw 14.5vw;
}

.sec3-bottom-video {
  width: 100%;
  height: 100%;
  /* background-color: blue; */
  border-radius: 20px;
  overflow: hidden;
}

.sec3-bottom-video video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

#section4 {
  width: 100%;
  min-height: 100vh;
  /* background-color: orangered; */
}

.sec4-top {
  width: 100%;
  height: 60vh;
  /* background-color: rebeccapurple; */
  padding: 0 20vw;
  display: flex;
  flex-direction: column;
  /* align-items: center; */
  justify-content: flex-end;
}

.sec4-top-elem {
  display: flex;
  gap: 1vw;
  line-height: 1;
  overflow: hidden;
  width: fit-content;
}

.sec4-top-elem h1 {
  font-size: 5vw;
  transform: translateY(100%);
  opacity: 0;
}

.sec4-bottom {
  width: 100%;
  height: 80vh;
  padding: 0 20vw;
  padding-top: 8vw;
  /* background-color: red; */
}

.sec4-bottom-content {
  width: 100%;
  height: 15vh;
  /* background-color: blue; */
  margin-bottom: 3vw;
  display: flex;
  justify-content: space-between;
}

.sec4-bottom-content img {
  /* width: 100%; */
  height: 80%;
}

.sec4-bottom2 {
  width: 100%;
  height: 40vh;
  /* background-color: red; */
  padding: 0 20vw;
  display: flex;
  justify-content: space-between;
}

.sec4-bottom2-left {
  width: 20%;
  height: 100%;
  /* background-color: burlywood; */
}

.sec4-bottom2-left-elem{
  width: fit-content;
  overflow: hidden;
}

.sec4-bottom2-left-elem h5 {
  font-size: 0.9vw;
  text-transform: uppercase;
  font-weight: 100;
  transform: translateY(100%);
  opacity: 0;
}

.sec4-bottom2-right {
  width: 72%;
  height: 100%;
  /* background-color: rgb(173, 102, 9); */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.sec4-para{
  width: fit-content;
  overflow: hidden;
}
.sec4-para p {
  font-size: 1.3vw;
  transform: translateY(100%);
  opacity: 0;
}

.sec4-bottom2-right a {
  position: relative;
  font-size: 1.2vw;
  margin-top: 2vw;
  padding: 0.5vw 0.8vw;
  border: 1px solid #000;
  background: #fff;
  color: #000;
  width: fit-content;
  /* font-size: 18px; */
  /* font-weight: bold; */
  text-decoration: none;
  cursor: pointer;
  overflow: hidden;
  display: inline-block;
  border-radius: 50px; /* 👈 Round pill shape */
  transition: color 0.4s ease, transform 0.4s ease, box-shadow 0.4s ease;
  z-index: 1;
  scale: 0.7;
  display: none;
  transform: translateY(40px);
}

.sec4-bottom2-right a::before {
  content: "";
  position: absolute;
  bottom: -100%;
  left: 0;
  width: 100%;
  height: 100%;
  background: #000;
  z-index: -1;
  border-radius: 50px; /* 👈 Overlay bhi rounded */
  transition: bottom 0.5s ease;
  display: flex;
  align-items: center;
  justify-content: center;
}

.sec4-bottom2-right a:hover {
  color: #fff;
  transform: scale(1.05);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
}

.sec4-bottom2-right a:hover::before {
  bottom: 0;
}

.sec4-image {
  width: 100%;
  display: flex;
  justify-content: space-between;
  padding: 8vw 20vw;
  padding-bottom: 13vw;
  /* padding-top: 8vw; */
}

.sec4-image-left {
  width: 45%;
  height: 55vh;
  border-radius: 20px;
  overflow: hidden;
}

.sec4-image-left img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  scale: 1.3;
}

.sec4-image-right {
  width: 45%;
  height: 55vh;
  border-radius: 20px;
  overflow: hidden;
  margin-top: 8vw;
}

.sec4-image-right img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  scale: 1.2;
}

#section5 {
  width: 100%;
  min-height: 100vh;
  background-color: #161616;
  border-radius: 4.5vw;
  padding: 0vw 20vw;
  padding-top: 15vw;
  padding-bottom: 10vw;
}

.sec5-top {
  width: 100%;
}

.sec5-heading {
  width: fit-content;
  overflow: hidden;
  color: #000;
  margin: 1px;
}

.sec5-heading h1 {
  font-size: 4.5vw;
  transform: translateY(100%);
  color: #fff;
  opacity: 0;
}
.sec5-content {
  width: 100%;
  min-height: 90vh;
  padding-top: 2vw;
  /* background-color: red; */
  color: #fff;
}

.sec5-elastic {
  width: 100%;
}

.sec5-elastic svg {
  width: 50%;
}

.sec5-elastic svg path {
  fill: none;
  stroke: #888;
  /* stroke-width: 2; */
  filter: drop-shadow(0 0 16px #00f2ff);
}

.sec5-bottom {
  width: 100%;
  height: 18vh;
  display: flex;
  justify-content: space-between;
  padding: 0vw 2vw;
}

.sec5-bottom svg {
  height: 3.5vw;
  animation: spin 4s linear infinite;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.sec5-bottom h5 {
  text-transform: uppercase;
  margin-left: 10vw;
}

.sec5-bottom-right {
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.sec5-para {
  width: fit-content;
  overflow: hidden;
  line-height: 1.4;
}
.sec5-para p {
  font-size: 1.4vw;
  transform: translateY(100%);
  opacity: 0;
}

#section6 {
  width: 100%;
  min-height: 100vh;
  /* background-color: purple; */
}


.sec6-top {
  width: 100%;
  height: 60vh;
  /* background-color: rebeccapurple; */
  padding: 0 20vw;
  display: flex;
  flex-direction: column;
  /* align-items: center; */
  justify-content: flex-end;
}

.sec6-top-elem {
  display: flex;
  gap: 1vw;
  line-height: 1.1;
  width: fit-content;
  overflow: hidden;
}

.sec6-top-elem h1 {
  font-size: 5vw;
  transform: translateY(100%);
  opacity: 0;
}


.sec6-bottom {
  width: 100%;
  height: 65vh;
  /* background-color: red; */
  padding: 0 20vw;
  display: flex;
  justify-content: space-between;
}

.sec6-bottom-left {
  width: 20%;
  height: 100%;
  /* background-color: burlywood; */
}

.sec6-bottom-left-elem{
  width: fit-content;
  overflow: hidden;
}
.sec6-bottom-left-elem h5 {
  font-size: 0.8vw;
  text-transform: uppercase;
  font-weight: 100;
  transform: translateY(100%);
  opacity: 0;
}

.sec6-bottom-right {
  width: 72%;
  height: 100%;
  /* background-color: rgb(173, 102, 9); */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.sec6-para{
  width: fit-content;
  overflow: hidden;
}

.sec6-para p {
  font-size: 1.3vw;
  transform: translateY(100%);
  opacity: 0;
}

#section7 {
  width: 100%;
  height: 90vh;
  background-color: rgb(128, 128, 128);
  position: relative;
  color: #fff;
  overflow: hidden;
}

#section7 video {
  width: 100%;
  /* height: 100%; */
}

.sec7-content {
  position: absolute;
  top: 52%;
  left: 50%;
  transform: translate(-50%, -40%);
  text-align: center;
  width: 100%;
}

.sec7-heading {
  width: fit-content;
  overflow: hidden;
  margin-left: 38vw;
  margin-bottom: 1vw;
  line-height: 1;
}

.sec7-heading h1 {
  text-align: center;
  font-size: 6vw;
  font-weight: 400;
  transform: translateY(100%);
  transition: transform 0.6s cubic-bezier(0.19, 1, 0.22, 1);
}

.sec7-heading:nth-child(1) {
  margin-left: 42vw;
}

.sec7-content a {
  position: relative;
  border: 1px solid #fff;
  background: transparent;
  color: #fff;
  text-decoration: none;
  cursor: pointer;
  overflow: hidden;
  display: inline-block;
  border-radius: 100px; /* 👈 Perfect pill shape */
  transition: color 0.4s ease, transform 0.4s ease, box-shadow 0.4s ease;
  z-index: 1; /* 👈 important */
  font-weight: 300;
  padding: 0vw 2.5vw;
  font-size: 6vw;
  opacity: 0;
  scale: 0.5;
  transform: translateY(40px);
}

.sec7-content a::before {
  content: "";
  position: absolute;
  top: 100%; /* 👈 niche se aayega */
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  border-radius: 50px; /* 👈 overlay bhi rounded */
  transition: top 0.5s ease;
  z-index: -1; /* 👈 overlay background ke neeche */
}

.sec7-content a:hover {
  color: #000;
  transform: scale(1.08); /* thoda zoom */
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
}

.sec7-content a:hover::before {
  top: 0;
}

#footer {
  width: 100%;
  height: 75vh;
  overflow: hidden;
  background-color: #000000;
  padding: 0 14vw;
  color: white;
  display: flex;
  padding-top: 6vw;
}

.footer-left {
  width: 50%;
  height: 100%;
  /* padding-top: 10vw; */
  color: #fff;
  display: flex;
  justify-content: space-between;
}

.footer-left-top-elem a {
  position: relative;
  display: inline-block;
  padding: 0.4vw 1vw;
  font-size: 1.3vw;
  border-radius: 100px;
  border: 1px solid #fff;
  background-color: transparent;
  color: #fff;

  text-decoration: none;
  cursor: pointer;
  overflow: hidden;
  transition: color 0.4s ease;
  margin-bottom: 1.8vw;
}

.footer-left-top-elem a::after {
  content: "info@cuberto.com";
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  color: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50px;
  transition: all linear 0.3s;
}

.footer-left-top-elem a:hover {
  color: white;
  border: 1px solid #fff;
}

.footer-left-top-elem a:hover::after {
  top: 0;
}

.footer-left-top-elem p span {
  text-transform: uppercase;
  color: #888;
  margin-right: 0.4vw;
  font-weight: 400;
}

.footer-left-top-elem p {
  font-size: 0.9vw;
  font-weight: 600;
  width: 75%;
}

.footer-left-bottom-elem {
  display: flex;
  gap: 2vw;
  margin-top: 6vw;
}

.footer-left-bottom-elem a {
  color: #fff;
  text-decoration: none;
}

.footer-left-bottom-elem h5 {
  color: #888;
  font-size: 0.8vw;
}

.footer-content2 {
  padding-left: 1vw;
}

.footer-content2 a {
  position: relative;
  display: inline-block;
  padding: 0.4vw 1vw;
  font-size: 1.3vw;
  border-radius: 100px;
  border: 1px solid #fff;
  background-color: transparent;
  color: #fff;

  text-decoration: none;
  cursor: pointer;
  overflow: hidden;
  transition: color 0.4s ease;
  margin-bottom: 1.8vw;
}

.footer-content2 a::after {
  content: "+1 301 549 9309";
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  color: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50px;
  transition: all linear 0.3s;
}

.footer-content2 a:hover {
  color: white;
  border: 1px solid #fff;
}

.footer-content2 a:hover::after {
  top: 0;
}

.footer-content2 p span {
  text-transform: uppercase;
  color: #888;
  margin-right: 0.4vw;
  font-weight: 400;
}

.footer-content2 p {
  font-size: 0.9vw;
  font-weight: 600;
  width: 80%;
}

.footer-right {
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  /* padding-top: 10vw; */
}

.footer-right-container {
  display: flex;
  gap: 3vw;
}

.footer-right-elem {
  margin-bottom: 1.1vw;
  text-align: right;
}

.footer-right-elem a {
  position: relative;
  display: inline-block;
  height: 1.3vw;
  overflow: hidden;
  text-decoration: none;
  font-size: 1.3vw;
  line-height: 1;
  font-weight: 400;
  cursor: pointer;
  color: #fff;
}

.footer-right-elem a .text2 {
  display: block;
  transition: transform 0.3s linear;
}

.footer-right-elem a .text2:first-child {
  transform: translateY(0);
}

.footer-right-elem a .text2:last-child {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
}

.footer-right-elem a:hover .text2:first-child {
  transform: translateY(-100%);
}

.footer-right-elem a:hover .text2:last-child {
  transform: translateY(-100%);
}

.footer-bottom-content {
  display: flex;
  gap: 1.6vw;
  margin-top: 3.5vw;
}

.footer-bottom-content a {
  text-decoration: none;
  font-size: 1.2vw;
  border-radius: 50%;
  padding: 0.9vw 0.9vw;
  background-color: #1a1a1a;
  color: #fff;
}
